Bug 68577

Summary: Clipped high quality blur in skia has been fixed. Rebaseline layout tests.
Product: WebKit Reporter: bungeman
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, kbr, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description bungeman 2011-09-21 15:25:48 PDT
Clipped high quality blur in skia has been fixed. Rebaseline layout tests.
Comment 1 bungeman 2011-09-21 15:31:18 PDT
Created attachment 108244 [details]
Patch
Comment 2 bungeman 2011-09-21 15:36:49 PDT
A skia change ( http://code.google.com/p/skia/source/detail?r=2211 ) fixes issues with clipped blurs. This fix is currently disabled in chromium. In order to enable this fix, the chromium test fast/box-shadow/shadow-buffer-partial needs to be updated, as it currently has an incorrect blur. This change will be to update the expected png and re-enable the test.

This is the final steps of the process which began with 67724.
Comment 3 bungeman 2011-09-21 15:47:08 PDT
Created attachment 108248 [details]
Patch
Comment 4 bungeman 2011-09-21 15:59:46 PDT
Copy paste error in comment #2. The blur fix is actually enabled now in chromium.

This change is just to update and re-enable the layout tests. The patch is the result of 'webkit-patch rebaseline-expectations' with the three disabled tests 'REBASELINE', now that webkit has rolled chromium past where the blur fix was enabled in chromium.
Comment 5 WebKit Review Bot 2011-09-21 18:07:18 PDT
Comment on attachment 108248 [details]
Patch

Attachment 108248 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9793038

New failing tests:
fast/box-shadow/shadow-buffer-partial.html
Comment 6 bungeman 2011-09-23 07:08:31 PDT
Created attachment 108472 [details]
Patch
Comment 7 WebKit Review Bot 2011-09-23 08:36:01 PDT
Comment on attachment 108472 [details]
Patch

Attachment 108472 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9801572

New failing tests:
svg/custom/svg-fonts-word-spacing.html
Comment 8 bungeman 2011-09-23 09:01:50 PDT
Comment on attachment 108472 [details]
Patch

After waiting a short time, doing the same thing again appears to work.

The test mentioned as failing in the comment by the buildbot ( svg/custom/svg-fonts-word-spacing.html ) was not a test touched in any way by this patch.
Comment 9 Kenneth Russell 2011-09-26 17:16:46 PDT
Comment on attachment 108472 [details]
Patch

The new baselines look okay to me though I wasn't able to visually see any difference between them and those in the tree right now. I'll mark this r+ and defer the setting of cq+ to someone in your local office in case there's something you want to change before landing.
Comment 10 WebKit Review Bot 2011-09-27 07:48:32 PDT
Comment on attachment 108472 [details]
Patch

Clearing flags on attachment: 108472

Committed r96107: <http://trac.webkit.org/changeset/96107>
Comment 11 WebKit Review Bot 2011-09-27 07:48:38 PDT
All reviewed patches have been landed.  Closing bug.